CircularCrossSection Class

class NXOpen.GeometricUtilities.CircularCrossSection

Bases: NXOpen.TaggedObject, NXOpen.GeometricUtilities.IComponentBuilder

Represents a circular section data for face blend.

New in version NX4.0.0.

Properties

Property Description
LawControl Returns the Law builder
Radius Returns the radius for the circular section with face blend
RadiusOption Returns or sets the radius option for the circular section with face blend
Tag Returns the Tag for this object.

Methods

Method Description
SetLawControlConstantRadius Sets a constant radius for the law control of the circular section with face blend.
SetLawControlEndRadius Sets a end radius for the law control of the circular section with face blend.
SetLawControlStartRadius Sets a start radius for the law control of the circular section with face blend.
SetRadius Sets a radius for the circular section with face blend.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

LawControl

CircularCrossSection.LawControl

Returns the Law builder

-------------------------------------

Getter Method

Signature LawControl

Returns:
Return type:NXOpen.GeometricUtilities.LawBuilder

New in version NX5.0.0.

License requirements: None.

Radius

CircularCrossSection.Radius

Returns the radius for the circular section with face blend

-------------------------------------

Getter Method

Signature Radius

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: None.

RadiusOption

CircularCrossSection.RadiusOption

Returns or sets the radius option for the circular section with face blend

-------------------------------------

Getter Method

Signature RadiusOption

Returns:
Return type:NXOpen.GeometricUtilities.RadiusMethod

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature RadiusOption

Parameters:method (NXOpen.GeometricUtilities.RadiusMethod) –

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Method Detail

SetLawControlConstantRadius

CircularCrossSection.SetLawControlConstantRadius

Sets a constant radius for the law control of the circular section with face blend.

Signature SetLawControlConstantRadius(radius)

Parameters:radius (str) – The value to be set

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetLawControlEndRadius

CircularCrossSection.SetLawControlEndRadius

Sets a end radius for the law control of the circular section with face blend.

Signature SetLawControlEndRadius(radius)

Parameters:radius (str) – The value to be set

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetLawControlStartRadius

CircularCrossSection.SetLawControlStartRadius

Sets a start radius for the law control of the circular section with face blend.

Signature SetLawControlStartRadius(radius)

Parameters:radius (str) – The value to be set

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetRadius

CircularCrossSection.SetRadius

Sets a radius for the circular section with face blend.

Signature SetRadius(radius)

Parameters:radius (str) –

New in version NX4.0.0.

Deprecated since version NX9.0.0: To set the value of the expression modify the expression directly using GeometricUtilities.CircularCrossSection.Radius() and Expression.RightHandSide().

License requirements: solid_modeling (“SOLIDS MODELING”)

Validate

CircularCrossSection.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.